# Add billing information to your account

| **Description** | Adds billing information to your account |
| --------------- | ---------------------------------------- |
| **Endpoint**    | `/account/billingInformation`            |
| **Method**      | PUT                                      |

### Access Level Rules

| **Minimum Access Level** | Account holder only |
| ------------------------ | ------------------- |

### Processing Units

| **Processing units** | 0 |
| -------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th width="300">Description</th><th>Required</th><th>Default</th></tr></thead><tbody><tr><td>isCompany</td><td>Boolean whether the account belongs to a commercial entity.</td><td>true</td><td></td></tr><tr><td>country</td><td>The country of your entity.</td><td>true</td><td></td></tr><tr><td>address</td><td>A JSON with the properties "city", "zip", "street", and "number" as strings describing the address of the owner of the account.</td><td>true</td><td></td></tr><tr><td>name</td><td>The full name of the owner of the account. Only applicable and required when 'isCompany' is false.</td><td>false</td><td></td></tr><tr><td>companyName</td><td>The name of the company controlling the account. Only applicable and required when 'isCompany' is true.</td><td>false</td><td></td></tr><tr><td>contactName</td><td>The full name of the contact person of the company. Only applicable and required when 'isCompany' is true.</td><td>false</td><td></td></tr><tr><td>vatNumber</td><td>The VAT number of your company. Only applicable when 'isCompany' is true and 'country' is an EU country.</td><td>false</td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/account/add-billing-information-to-your-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
